function [ca, idx] = get_ca(filename)
    pdb = pdbread(filename);
    len = length(pdb.Model.Atom);
    count = 1;
    ca = zeros(0, 3);
    idx = zeros(0, 1);
    for i = 1:len
        if strcmp(pdb.Model.Atom(i).AtomName, 'CA')
            ca(count, :) = [pdb.Model.Atom(i).X, pdb.Model.Atom(i).Y, pdb.Model.Atom(i).Z];
            idx(count, 1) = pdb.Model.Atom(i).resSeq;
            count = count + 1;
        end
    end
end
