function [S] = DP(sim,g)

    n = size(sim,1);
    m = size(sim,2);
    S = zeros(n+1,m+1);
    R = [];


    S(1,:) = 0;
    S(:,1) = 0;
    for i = 2:n+1
        for j = 2:m+1
            a = S(i-1,j-1) + sim(i-1,j-1);
            b = S(i-1,j);
            c = S(i,j-1); 
            if a>b && a>c
                S(i,j) = a;
                R(i-1,j-1) = 1;
            elseif b>a && b>c
                S(i,j) = b - g;
                R(i-1,j-1) = 2;
            else
                S(i,j) = c - g;
                R(i-1,j-1) = 3;
            end
                 
        end
    end
    [a,b] = size(R);
    if(a == 0 && b == 0)
        return;
    end
    
    
end

