%param
classNum = 5;
calcTimes = 500;

D = 1-score;

%kmedoid
clear result;
for i = 1:calcTimes
    [label,energy,medoid] = kmedoidsDM(D,classNum);
    result(i).label = label;
    result(i).energy = energy;
    result(i).medoid = medoid;
end;
clear label energy medoid;

%tabulate
for i = 1:calcTimes
    for j = 1:classNum
        result(i).count(j) = sum(result(i).label == j);
    end;
end;


for i = 1:calcTimes
    idx = 1;
    maxcount = result(i).count(idx);
    for j = 2:classNum
        if result(i).count(j) > maxcount
            maxcount = result(i).count(j);
            idx = j;
        end;
    end;
    result(i).maxClass = idx;
    result(i).maxCenter = result(i).medoid(result(i).maxClass);
end;
clear idx maxcount;

%best result
a = [result.maxCenter];
b = 1:modelNum;
m = hist(a,b);
[max_count,max_location] = max(m);
clear a b n;

clear i j;